Skip to main content
v1

Press and hold a desktop keyboard key.

POST /v1/desktop/keyboard/down: request parameters and responses.

POST /v1/desktop/keyboard/down

Performs a health-gated xdotool keydown operation against the managed desktop.

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopKeyboardDownRequest"
  }
}

Related schemas: DesktopKeyboardDownRequest.

Responses

200

Desktop keyboard action result

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopActionResponse"
  }
}

Related schemas: DesktopActionResponse.

400

Invalid keyboard down request

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

502

Desktop runtime health or input failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.